#include <stdio.h>
#include <string.h>
#include <stdlib.h>

int main( int argc, char *argv[] )
{
  FILE *infile, *outfile;
  char *lines[200];
  char line[100];
  short currline, len;
  short index = -1;
  char eof = 0;

  if ( argc < 3 ) {
    printf( "Insufficient number of parameters\n" );
    return 1;
  }
    
  infile = fopen( argv[1], "r" );
  outfile = fopen( argv[2], "wb" );

  if ( infile == NULL || outfile == NULL ) {
    printf( "Cannot open files\n" );
    return 2;
  }

  fgets( line, 99, infile );

  do {
    currline = 0;
    len = 4;
    sscanf( line, "!%hd", &index );

    do {
      if ( fgets( line, 99, infile ) != NULL && line[0] != '!' ) {
        line[ strlen( line ) - 1 ] = 0;
	if ( strlen( line ) > 72 ) {
	  printf( "Warning: line too long, truncating\n%s\n", line );
	  line[72] = 0;
	}
        
        if ( index >= 0 ) {
          lines[currline++] = strdup( line );
          len += ( strlen( line ) + 1 );
        }
      } else {
	if ( line[0] != '!' )
	  eof = 1;
	break;
      }
    } while ( line[0] != '!' );

    int nblines = currline;
    
    while ( nblines>1 && strlen( lines[nblines-1] ) == 0 ) {
      nblines--;
      len--;
    }

    if ( index >= 0 ) {
      fwrite( &index, 2, 1, outfile );
      fwrite( &len, 2, 1, outfile );

      for ( int c=0; c<currline; c++ ) {
        if ( c<nblines ) {
          fputs( lines[c], outfile );
          fwrite( "\000", 1, 1, outfile );
        }

        free( lines[c] );
      }
    }
  } while( !eof );

  fclose( outfile );
  fclose( infile );
  
  return 0;
}
