ifdef( `OS2', `
  define(PROGRAM_NAME_LONG, File Commander/2) 
  define(PROGRAM_NAME_SHORT, FC/2)
  define(PROGRAM_NAME_FILE, fc)
  define(BG_EXEC_KEY, `Alt-Enter  ')
  define(GUI_SHELL, WPS)
  define(GUI_NAME_SHORT, PM)
  define(HAS_DRIVE_LETTERS)
')

ifdef( `WIN32', `
  define(PROGRAM_NAME_LONG, File Commander/W) 
  define(PROGRAM_NAME_SHORT, FC/W)
  define(PROGRAM_NAME_FILE, fcw)
  define(BG_EXEC_KEY, `Shift-Enter')
  define(GUI_SHELL, Explorer)
  define(GUI_NAME_SHORT, Win)
  define(HAS_SYMLINKS)
  define(HAS_DRIVE_LETTERS)
')

ifdef( `UNIX', `
  define(PROGRAM_NAME_LONG, File Commander/L)
  define(PROGRAM_NAME_SHORT, FC/L)
  define(PROGRAM_NAME_FILE, fcl)
  define(BG_EXEC_KEY, `Alt-Enter')
  define(GUI_SHELL, Nautilus)
  define(GUI_NAME_SHORT, X)
  define(HAS_SYMLINKS)
')

!0 Help on Help
Help on Help

  While in a help window, you may use the cursor up/down keys to scroll
text a line at a time (if there is more than one window full of text).
You can also use the page up/down keys to move up/down a screen full. 
HOME takes you back to the top and END goes to the bottom. You can also
use the mouse to scroll the window by clicking in the top or bottom 
thirds of the help window.
  When you have finished viewing the help screen, press ESC to go back 
to what you were doing.





!1 Main Screen
Key Reference

ifdef(`HAS_DRIVE_LETTERS',`dnl
F1 - Help                       Alt-F1 - Left drive change
F2 - User Menu (Local/Main)     Alt-F2 - Right drive change
',`dnl
F1 - Help
F2 - User Menu (Local/Main)
')`'dnl
F3 - View                       Alt-F3 - Alternate View
F4 - Edit                       Alt-F4 - Alternate Edit
F5 - Copy                       Alt-F5 - Stored paths
F6 - Move / Rename              Alt-F6 - Create Object
F7 - Make Directory             Alt-F7 - File Find
F8 - Delete                     Alt-F8 - History
F9 - Activate Menu              Alt-F9 - Switch 25/50 lines
F10- Quit PROGRAM_NAME_SHORT                  Alt-F10- Tree change directory

Ctrl-F1 - Left panel on/off     Shift-F1  - View Manual
Ctrl-F2 - Right panel on/off    Shift-F2  - User Menu (Main)
Ctrl-F3 - Sort by name          Shift-F3  - View (prompt for name)
Ctrl-F4 - Sort by extension     Shift-F4  - Edit (prompt for name)
Ctrl-F5 - Sort by time          Shift-F5  - Local Copy
Ctrl-F6 - Sort by size          Shift-F6  - Rename
Ctrl-F7 - Unsorted              Shift-F7  - Create Archive
Ctrl-F8 - Reverse sort          Shift-F8  - Delete single arbitrary file
                                Shift-F9  - Save Setup
                                Shift-F10 - Activate menu with
                                            cursor on last used
                                            function.
                                
Shift-Alt-F1 - Switch to Brief view
Shift-Alt-F2 - Switch to Full view
Shift-Alt-F3 - Switch to Wide view
Shift-Alt-F7 - Recall previous File Find results
Shift-Alt-F8 - Directory History
Shift-Alt-F9 - Switch columns 80/132/custom
ifdef(`HAS_SYMLINKS',`dnl
Ctrl-Shift-F5- Create symbolic link
')`'dnl
ifdef(`HAS_DRIVE_LETTERS',`dnl
Ctrl-Shift-E - Eject the drive of the current panel
Ctrl-Shift-L - Load the drive of the current panel
')`'dnl
Ctrl-Shift-F - Copy full path of current file to clipboard
Ctrl-Shift-J - Copy name of current file to clipboard

Ctrl-A - Change file attributes
ifdef(`UNIX',`dnl
Ctrl-B - View scroll back buffer
')`'dnl
Ctrl-C - Change file case
Ctrl-D - Command line cursor right
Ctrl-E - Scroll back through history
Ctrl-F - Insert file name with path
ifdef(`HAS_SYMLINKS',`dnl
Ctrl-G - Go to symbolic link target
')`'dnl
Ctrl-H - Toggle visibility of hidden files
Ctrl-I - File Information
Ctrl-J - Insert file name / complete from history
Ctrl-K - Compare directories
Ctrl-L - Info panel
ifdef(`UNIX',`dnl
Ctrl-M - Choose mount point
')`'dnl
Ctrl-N - Activate Menu
Ctrl-O - Hide / Display panels
Ctrl-P - Turn opposite panel on/off
Ctrl-Q - Calculate directory size(s)
Ctrl-R - Re-read files / tree
Ctrl-S - Command line cursor left
Ctrl-T - Tag files by mask (Same as Grey +)
Ctrl-U - Swap panels
Ctrl-W - Open GUI_SHELL view
Ctrl-X - Scroll forward through history
Ctrl-Y - Untag files by mask (Same as Grey -)
Ctrl - - Switch back to previous directory
Ctrl-[ - Insert full path of left panel in command line
Ctrl-] - Insert full path of right panel in command line

ifdef(`WIN32',`dnl
Using ALT with Ctrl-J/F/[/] will insert the short version of the file
name for use with 16 bit applications.

')dnl
Esc          - Clear command line
Tab          - Switch between panels
Enter        - Execute command line / move into directory or archive
BG_EXEC_KEY  - Run command in separate session
Ctrl-Enter   - Insert file name / complete from history
Insert       - Tag file
Ctrl-\       - Go to root directory
Alt-Home     - Jump to user home directory
Alt-\        - Directory history
Ctrl-Shift-\ - Change to other panels's directory

Grey +       - Tag files by mask
Grey -       - Untag files by mask
Grey *       - Invert selection
Ctrl-Grey +  - Tag all files
Ctrl-Grey -  - Untag all files
Alt-Grey +   - Re-tag files

Using SHIFT with any of the above mass tagging keys will temporarily
override the current setting of the 'Tag Directories' option.


Home        - Go to first file
End         - Go to last file
Ctrl-Home   - Move to start of command line
Ctrl-End    - Move to end of command line
Ctrl-BackSp - Delete word left of cursor
Ctrl-Delete - Delete word right of cursor
Ctrl-Left   - Move one word left
Ctrl-Right  - Move one word right
Ctrl-Up     - Scroll back through history
Ctrl-Down   - Scroll forward through history
Ctrl-PageUp - Go to parent directory
Ctrl-PageDn - Move into directory or self-extracting archive
Shift-Insert- Paste from clipboard into command line
Ctrl-Insert - Copy command line to clipboard
Ctrl-TAB    - Complete the file name on the command line

Alt-[printable char] - Seach for file name in current dir starting with
                       characters typed.
Shift-Tab            - Complete search text from available file names 
                       after using the above.

Alt-Up   - Move to previous match
Alt-Down - Move to next match
Alt-L    - Change Label (Info panel only)
F4       - Edit DirInfo (Info panel only)

Ctrl-Shift-[NumPad 0-9] - Store current path
Ctrl-[NumPad 0-9]       - Retrieve path

Commands entered on the command line can use any of the following
operators:

include(`pling_operators.m4')






!2 Viewer
Viewer Help

  While viewing a file, you can use either the keyboard (Cursor
Up/Down, Page Up/Down, Home, End) or the mouse to move around the file.
Click the mouse in the top or botton thirds of the display to scroll
the file up or down. Using the right mouse button pages up or down.

F2        - Unwrap / Wrap text
F4        - Toggle ASCII / HEX view mode
F7        - Search for a string
Shift-F7  - Find next match
Alt-F7    - Find previous match
Alt-F4    - jump to editor at current position
Alt-[1-8] - Change TAB size
Alt-C     - Choose code page(s) to translate from
Alt-T     - Switch between file code pages
Alt-L     - Go to a line number
Alt-O     - Go to a hex offset
Alt-E     - Select file encoding format
Alt-F     - Enable 'follow' mode, follows the end of a growing file
ESC,F10   - Exit viewer
/         - Search for a string forwards. Like F7 but ensures Reverse
            option is off.
?         - Search for a string backwards. Like F7 but ensures Reverse
            option is on.


When text is unwrapped, the following can also be used:

Left     - Scroll view to the left
Right    - Scroll view to the right

Pressing Ctrl with these will scroll in greater steps. Also, the mouse
can be used to scroll horizontally by clicking on the left or right
side of the centre third of the screen.







!3 Editor
Editor Help

  The following keys are available when editing a file:

Left/Right/Up/Down  - Move the cursor
Backspace           - Delete character left of the cursor
Ctrl-Backspace      - Delete word left of the cursor
Alt-Backspace       - Undo
Alt-Shift-BackSpace - Redo
Delete              - Delete character under the cursor
Ctrl-Delete         - Delete word right of the cursor
Home                - Go to start of line
End                 - Go to end of line
Page Up/Down        - Move up/down one page
Ctrl-Home           - Go to top of screen
Ctrl-End            - Go to bottom of screen
Ctrl-Page Up/Down   - Go to start/end of file
Alt-[ or Alt-M      - Jump to matching bracket
Ctrl-Space          - Copy character from above line
Ctrl-Alt-Space      - Copy remainder of above line
Ctrl-D              - Duplicate line
Ctrl-Q              - Quote character (allows insertion of control
                      characters)
Ctrl-Y              - Erase line
Ctrl-Insert         - Copy selection to clipboard
Shift-Ctrl-Insert   - Append selection to clipboard
Shift-Insert        - Paste from clipboard
Ctrl-Delete         - Delete selection
Shift-Delete        - Cut selection to clipboard
Ctrl-X/C/V          - Alternate keys for Cut/Copy/Paste
Ctrl-W              - Copy the word the cursor is currently on to the
                      clipboard
Alt-Left/Right      - (Un)indent block
Insert              - Toggle Insert/Overstrike mode
Alt-[1-8]           - Change TAB size
Alt-C               - Choose code page(s) to translate from
Alt-T               - Switch between file code pages
Alt-E               - Select file encoding format
Alt-I               - Toggle Auto-indent mode
Alt-H               - Toggle syntax highlighting
Alt-L               - Go to a line number
Alt-U               - Toggle UNIX type line terminators
F2                  - Save changes without exiting
F3                  - Save changes with prompt to change file name
F7                  - Search for text
Shift-F7            - Search again for same text
Alt-F7              - Search for same text in reverse direction
F8                  - Search and Replace
Alt-Comma           - Jump to the previous occurance of the word the
                      cursor is on
Alt-Dot             - Jump to the next occurance of the word the cursor
                      is on
ESC,F10             - Exit (save prompt if changes made)
Shift-F10           - Save and exit

  Select text for cutting, copying or replacing by moving the cursor
over text while holding down a Shift key or by dragging the mouse over a
section of text. Double clicking the mouse will highlight a word.

  The bookmark functions allow you to store & recall up to 10 positions
within a file. The keys used are Shift-Ctrl-Numpad-[0-9] to store,
Ctrl-Numpad-[0-9] to recall.





!4 Configuration window
Configuration

  Choose which configuration option you wish to change using the
Up/Down cursor keys and TAB, or the mouse. To change toggle options,
use the space bar. Note that changes made will only be saved if you
choose 'Save Setup' from the Options menu.

Viewer
  Program used to view a file when F3 is pressed and no viewer 
  association matches the file name. If left empty, the internal viewer 
  will be used.

Alternate Viewer
  As above but for Alt-F3 except that viewer associations do not apply
  to Alt-F3.

Editor
  Program used to edit a file when F4 is pressed and no editor 
  association matches the file name. If left empty, the internal editor 
  will be used.

Alternate Editor
  As above but for Alt-F4 except that editor associations do not apply
  to Alt-F3.

Left Startup Directory
  The directory the left panel will show on start up. If left blank,
  the current directory for the session will be shown.

Right Startup Directory
  As above but for the right panel.

Separate Session Prefix
  The string placed at the start of a command that causes it to run in a
  separate session when BG_EXEC_KEY is used.

Tree Data Directory
  The directory where tree data is stored. If left blank, tree data is
  written to the root of each drive.

Case Filter File Systems
  A list of file systems, as shown on the 'Info' panel, that should
  have file names converted to lower case and directory names converted
  to upper case before being displayed.

Manual
  Name of an Information Presentation Facility file (.inf) that is to
  be viewed when 'Manual' is chosen from the Files menu or Shift-F1 is
  pressed. Initially set to the full path of your FC.INF

Path Extension
  A list of directories, separated by semicolons, that are to be
  searched for executables in addition to those specified in the PATH
  environment variable.

Auto Save
  If on, a 'Save setup' will be performed when PROGRAM_NAME_SHORT is exited.
ifdef(`OS2',`dnl

Num Lock
  If on, the numlock status for the session will be forced on.
')`'dnl

Use GUI_NAME_SHORT Clipboard
  When on, PROGRAM_NAME_SHORT's internal editor and text input fields will use 
the GUI_NAME_SHORT global clipboard otherwise its own private clipboard is 
used.
ifdef(`HAS_DRIVE_LETTERS',`dnl

Ctrl-R Drv Change
  Enables the drive selector dialog when pressing Ctrl-R.
')`'dnl

ESC Panel Switch
  Enables the use of ESC as a quick key for switching panels off/on when
  the command line is empty.

Size Count Pause
  If enabled, PROGRAM_NAME_SHORT will pause at the end of a directory size count 
activated by Ctrl-Q, allowing you to view the total file and directory 
counts.

Lines
  The number of text lines in the current session. This can be any value
  >= 25 for windowed sessions. Full screen sessions can have any number
  of lines supported by your video card.

Columns
  Like Lines but determines the number of columns for the window. Must
be at least 80.
ifdef(`UNIX',`',`dnl

Screen Saver
  The number of minutes before the screen saver starts. A value of 0
  disables the screen saver. Ignored in windowed sessions (not much
  point really).
')`'dnl
ifdef(`OS2',`dnl

Mouse Speed
  Determines the mouse tracking speed for full screen sessions. Larger
  values slow down the mouse.
')`'dnl

Scroll Delay
  The delay (in milliseconds) between lines being scrolled by the
  mouse. Useful if you actually want to see things as they scroll past.

Time Mode
  Sets 12/24 hour display for the clock and for file time stamps.




!5 History window
History

The following keys can be used in the history window:
Up/Down    - Select history entry.
Home/End   - Go to first/last history entry.
Page Up    - View previous page of entries.
Page Down  - View next page of entries.
Enter      - Run selected entry.
BG_EXEC_KEY- Run selected entry in a separate session.
Ctrl-Enter - Place selected entry on the command line for modification.
F7         - Search for a string in the command list. Note that the
             search starts at the bottom of the current page to give a
             newest to oldest search.
Shift-F7   - Search again.
Alt-F7     - Search again backwards.
Delete     - Remove current entry from history.
Esc        - Remove history window.





!6 Confirmations window
Confirmations

  An 'X' in a check box indicates that the confirmation is enabled. To
disable a confirmation, click its check box with the mouse and click 
OK. The keyboard can also be used (Up / Down arrows and
 Space, Enter when done).

The confirmations are:

Delete File/Empty Directory
  The first prompt you see after pressing F8.

Delete Tagged Files
  The second prompt you see after pressing F8 when there are files 
  tagged.

Delete Non-empty Directory
  The prompt that asks you to type "YES" before doing a tree delete.

Quit PROGRAM_NAME_SHORT
  The prompt shown when you press F10. With this disabled, F10 causes 
  immediate exit.

"YES" prompt for Non-Empty Directory
  Similar to Delete Non-empty Directory but instead of disabling the 
  "YES" prompt altogether, it is replaced by an OK / Cancel choice, the
  default being Cancel.





!7 File Find
File Find

File(s) to find:
  Name of the file(s) you wish to find. The name may contain wildcard
characters (* ? [x-y] etc, see manual under 'tagging' for full
description).

Start at root:
  When checked, this option causes the search to start at the root of
the current drive, otherwise the search starts in the current directory.

Scan subdirectories:
  All subdirectories under the starting directory (as determined by the
above setting) will be recursed into if this option is enabled,
otherwise only the starting directory will be searched.
ifdef(`HAS_DRIVE_LETTERS',`dnl

Drives:
  When this option is checked, all the drives listed in the entry field
will be searched. Just enter the letters themselves as in "CDE" to
search the first three drives.
')`'dnl
ifdef(`HAS_SYMLINKS',`dnl

Follow Directory Symlinks:
  When a symbolic link to a directory is encountered, the directory the
symbolic link points to will only be searched if this option is enabled
(subject to the "Scan subdirectories" option).
')`'dnl

Containing:
  A text string that a file must contain to be considered a match. If
this field is left blank, only the file's name will be considered.

CP:
  Code Page to use when searching non-unicode files for the text string
in the "Containing" field.

Case Sensitive:
  This setting specifies the type of text comparison used with the
'Containing' string.

Whole Word:
  When set, only whole words that match the 'Containing' string are 
accepted as a match.


After a search is complete the results may be resorted using

Ctrl-F3 - Sort by name
Ctrl-F4 - Sort by extension
Ctrl-F5 - Sort by time
Ctrl-F6 - Sort by size

Other operations available are
F5       - Copy found files to a chosen directory
F6       - Move found files to a chosen directory
Delete   - Remove a file from the list
F8       - Delete the current file
Shift-F8 - Delete all the files in the list
Ctrl-R   - Perform a Search and Replace operation on listed files

Ctrl-Shift-F - Copy file's full path to the clipboard
Ctrl-Shift-J - Copy file's name to the clipboard



!8 Attributes
Attribute Modify

  Use the check boxes to specify which attributes you wish to change on
the tagged files. If there were files tagged, the check boxes are 3
state allowing you to do one of the following for each of the
attributes:

[] = Don't change
[X] = Set
[ ] = Clear

  If no files were tagged the check boxes are just two state. The check
boxes start with the file's current state.
ifdef(`UNIX',`dnl

  As well as using the usual dialog navigation keys, (arrows, Tab,
Space) the following hot keys are available:

0-7:  change the current attribute group to match the octal value of the
      key pressed.

rwxs: toggle the value of the check box in the current group
      corresponding to the key pressed. Use Shift to toggle the
      attribute in all groups.
')




!9 Directory Compare
Directory Compare

  Identifies differences in the file lists of the left and right panels.
A number of options are available to allow you to customize the
comparison type. Most of the options are used to decide which files are
tagged if a file name appears in both file lists.

Date/Time: 
  Determines if the older, newer, both or neither copies of the file are
  tagged if the dates on them are different.

Size:      
  Determines if the larger, smaller, both or neither copies of the file
  are tagged if the size of them are different.
           
Tag Unmatched:
  If a file name appears in one panel but not the other, this option
  causes it to be tagged.
  
Compare Contents:
  This is the brute force method. The two copies are compared byte for
  byte to check if there is any difference. If there is, both will be
  tagged.

Mask:
  A file must match this mask before it is considered for comparison. 
  All wildcard types and boolean operators are supported.




!10 User Menu editing
User Menu

The user menu file contains entries that take the form:

KEY: LABEL
        Command1
        Command2
          ...

Where KEY can be any single letter, number or function key from F1-F12.
Function keys may be prefixed with S, C or A to indicate Shift, Ctrl or
Alt.

LABEL is the text that will appear in the menu.
The key:label line, which must start at column 1, is followed by one or
more command lines, which must start with at least one space or TAB.

A submenu can be created by following the key:label line with a set of
commands enclosed in curly brackets. The curly brackets must be in
column 1. EG

S: SubMenu
{
1: Sub-option 1
        Command1

2: Sub-option 2
        Command2
}

The commands can be anything that can be run on a normal PROGRAM_NAME_SHORT command
line, including the following operators:

include(`pling_operators.m4')


Examples:

C: Compare file contents to opposite panel
   diff ! !S!

M: Make EXE for source file
   make !x.exe

Z: Zip tagged files 
   zip -r !i"Name of Zip?" -@ < !@
 
U: Unzip to opposite panel 
   cd !P
   unzip !s!t
   cd !p
 



!11 Associations editing
Associations

Associations take the form:

file_mask: command

where the file mask can contain any of the wildcard characters
(*, ?, [x-y], {foo,bar}) and boolean operators (&, |, !) that PROGRAM_NAME_SHORT
supports.

The command can be anything that can be run on a normal PROGRAM_NAME_SHORT command
line, including the following operators:

 !  - Name of current file.
 !x - Name of current file without its extension.
 !p - Path of current panel.
 !P - Path of opposite panel.
 !f - Name of current file with full path.
 !s - Path of current panel with trailing slash
 !S - Path of opposite panel with trailing slash
 !n - Nothing, but prevents automatic appending of current file name
 !! - A literal, single !
 
 !i"Question"
    - Substitutes for a value input from the user. This causes a small
      dialog to appear displaying the supplied question and an input
      field. If ESC is pressed during input the command is terminated.

ifdef(`WIN32',`dnl
Placing a ~ immediately after the ! will cause the short version of the
file name to be provided. 
EG !~f will give the short version of the full path.

')dnl
Examples:

*.pdf: acroread.exe
*.{gif,jpg,jpeg,bmp,tif,tga,pcd,png}|os2logo|logo*.sys: pmview
*.{htm,html,shtml}: netscape file:///!




!100 "Left" menu
Left/Right Menu Help

Brief       - Show files in brief mode, three columns of file names.
Full        - Show files with size, date and time.
Wide        - Show files with their size, allowing extra space for long
              file names
Brief Wide  - Show files in brief mode, two columns of file names.
ifdef(`UNIX',`dnl
Unix Detail - Show files with size, permissions, owner and group.
')`'dnl
Info        - Show/Remove the Information panel that shows drive space, 
              drive free space, directory size, label, file system and 
              serial number for the drive in the opposite panel.
Tree        - Show a tree of the directory structure for the drive in
              the opposite panel
On/Off      - Show/Hide panel
Name        - Sort panel by name
Extension   - Sort panel by extention
Time        - Sort panel by time
Size        - Sort panel by size
Unsorted    - Do not sort panel
Reverse     - Swap between ascending/descending sort order
Re-Read     - Refresh contents of panel from disk or, if in tree view,
              rescan directory tree.
Filter      - Define a file name filter for panel
Drive       - Select a new drive





!101 Files menu
Files Menu Help

Manual          - View PROGRAM_NAME_SHORT manual.
User Menu       - Pop up the user defined menu.
View            - View the current file.
Edit            - Edit the current file.
Copy            - Copy the current file or currently tagged files.
Rename or Move  - Move the current file or currently tagged files.
Make Directory  - Create a new directory in the current directory.
Delete          - Delete the current file or currently tagged files.
File Attributes - Modify the standard attributes for the current file
                  or currently tagged files.
File Case       - Modify the current file or currently tagged files'
                  case (Upper/Lower/Mixed). Has no effect on non case
                  preserving file systems like FAT.
File Date/Time  - Modify the current file or currently tagged files'
                  date stamp.
File Information- Show full file meta-data.
Select Group    - Tag files by file mask.
Unselect Group  - Untag files by file mask.
Invert Sel'n    - Tag untagged files and untag tagged files.
Restore Sel'n   - Return panel's tagging to the way it was before the 
                  last copy operation.
Quit            - Exit PROGRAM_NAME_SHORT





!102 Commands menu
Commands Menu Help

Tree                - Display tree for quick directory changing
File Find           - Locate a file on the current drive
History             - Display previously entered commands
EGA Lines           - Swap between 25 and 50 line mode
Directory History   - Display the Directory History list, allowing you
                      revisit recently visted directories.
Stored Paths        - Opens the Stored Paths dialog which lists all the
                      saved directories. From here you can store the
                      current directory, remove or jump to a stored
                      path.
Swap Panels         - Switch left and right panels
Panels On/Off       - Show/Hide visible panels
Compare Directories - Tag files that aren't in the opposite panel's 
                      directory or are newer than the copy in the 
                      opposite directory
Calculate Dir Size  - Scan the current directory and display the amount
                      of space used by all the files in it and all its
                      subdirectories. If a number of directories are
                      tagged, all will be counted.
ifdef(`OS2',`dnl
Open WPS Window     - Opens a Workplace Shell window of the current 
                      directory as if accessed via the Drives object
')`'dnl
ifdef(`WIN32',`dnl
Open Explorer View  - Opens an Explorer window of the current directory.
')`'dnl
ifdef(`UNIX',`dnl
Open GUI Window     - Opens a GUI file manager window of the current
                      directory.
')`'dnl
Register            - Enter your registration serial number to disable 
                      reminder messages.
Edit Associations   - Starts editor on FC.INI. Changes to associations
                      become active immediately. See the manual under
                      Running Other Programs/Associations for more
                      information.
Edit User Menu      - Starts editor on your main FC.MNU.





!103 Options menu
Options Menu Help

Configuration      - Set various options
Colours            - Alter colour scheme
Confirmations      - Configure confirmation prompts
Hidden Files       - Toggle visibility of hidden files
Path Prompt        - Toggle display of current path in the prompt
Full Screen        - Switch between full/half height panels
Clock              - Toggle time display
Tag Directories    - Enable mass tagging of directories.
Thousand Separator - Toggle use of a thousand separator in file sizes
Retain Dir Count   - Enable remembering Ctrl-Q Directory Size Count are 
                     retained when changing directory. 
Save Setup         - Save current settings to fc.ini





!30000 Error
Something has gone wrong with the help file. An `index' number could not
be found.
